export declare class LRUCache<K, V> {
    private readonly maxEntries;
    private cache;
    private keys;
    constructor(maxEntries: number);
    get(key: K): V | undefined;
    set(key: K, value: V): void;
    remove(key: K): void;
    clear(): void;
    size(): number;
    getMaxEntries(): number;
    getKeys(): K[];
}
